# $Revision: 1.5 $, $Date: 2009/02/06 08:45:27 $
Summary:	Das U-Boot -- the Universal Boot Loader
Name:		uboot
Version:	2009.01
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.denx.de/pub/u-boot/u-boot-%{version}.tar.bz2
# Source0-md5:	cb11d3d74eee4d31124523d90d8c31fa
URL:		http://www.denx.de/wiki/U-Boot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Das U-Boot (Universal Bootloader, German for "the submarine") is a
boot loader for a number of different computer architectures,
including PPC, ARM, AVR32, MIPS, x86, 68k, Nios, and MicroBlaze.

%package mkimage
Summary:	Generate kernel image for U-Boot
Group:		Applications/System

%description mkimage
This package contains the mkimage utility, which encapsulates a
compressed "uImage" Linux kerel image with header information, CRC32
checksum, etc, for use with the U-Boot bootloader.

mkimage can also be used to create ramdisk images for use with U-Boot,
either separated from the Linux kernel image, or combined into one
file. mkimage encapsulates the images with a 64 byte header containing
information about target architecture, operating system, image type,
compression method, entry points, time stamp, CRC32 checksums, etc.

%prep
%setup -q -n u-boot-%{version}

%build
touch include/config.mk include/config.h

%{__make} tools \
	HOSTSTRIP=echo \
	HOST_CFLAGS="%{rpmcflags}" \
	HOST_LDFLAGS="%{rpmldflags}" \
	BIN_FILES="bmp_logo gen_eth_addr img2srec mkimage"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install tools/mkimage  $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG CHANGELOG-before-U-Boot-1.1.5 CREDITS MAINTAINERS README
# COPYING contains some extra note
%doc COPYING

%files mkimage
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mkimage

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: uboot.spec,v $
Revision 1.5  2009/02/06 08:45:27  kosmo
- updated to 2009.01
- use PLD cflags and ldflags.

Revision 1.4  2008/09/15 14:00:13  sparky
- working URI

Revision 1.3  2008/06/23 13:55:40  arekm
- rel 1

Revision 1.2  2008/06/23 13:42:35  arekm
- up to 1.3.3

Revision 1.1  2008-05-06 05:41:55  glen
- new from template, mkimage desc from debian
